[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# SoundexProc

Default AnsiResemblesText implementation.

## Declaration

Source position: strutils.pp line 155

`function SoundexProc(`
`const AText: string;`
`const AOther: string`
`):Boolean;`

## Arguments

`AText` |  | Second string.
`AOther` |  | First string.

## Function result

0 if the soundexes are equal. Negative of the first is smaller as the second, positive otherwise.

## Description

SoundexProc is the standard implementation for the AnsiResemblesText procedure: By default, AnsiResemblesProc is set to this function. It compares the soundex codes of AOther and AText and returns True if they are equal, or False if they are not.

## Errors

None.

## See also

Soundex |  | Compute the soundex of a string
SoundexCompare |  | Compare soundex values of 2 strings.
SoundexInt |  | Soundex value as an integer.
SoundexWord |  | Calculate a word-sized soundex value
SoundexSimilar |  | Check whether 2 strings have equal soundex values